(* Copyright (C) 1994, Digital Equipment Corporation *)
(* All rights reserved.                              *)
(* See the file COPYRIGHT for a full description.    *)

(* This interface exports the configuration information
   used by m3build and quake.  These constants were defined
   when Modula-3 was installed. *)

INTERFACE M3Config;

CONST  (* misc. configuration *)
  TARGET    = "FreeBSD2";
  OS_TYPE   = "POSIX";
  WORD_SIZE = "32BITS";
  BUILD_DIR = "FreeBSD2";
  PATH_SEP  = "/";
  M3        = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/FreeBSD2/m3"; (* the compiler *)

CONST (* installation directories *)
  BIN_INSTALL   = "/tmp/a/ports/lang/modula-3-lib/work/installed/bin";
  LIB_INSTALL   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/FreeBSD2";
  DOC_INSTALL   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/doc";
  PKG_INSTALL   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/pkg";
  MAN_INSTALL   = "/tmp/a/ports/lang/modula-3-lib/work/installed/man";
  EMACS_INSTALL = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/elisp";
  HTML_INSTALL  = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/www";

(* On some systems (e.g. AFS) you must install public files
   in a different place from where you use them.  The paths
   below specify where to find the installed files. *)

CONST
  BIN_USE   = "/tmp/a/ports/lang/modula-3-lib/work/installed/bin";
  LIB_USE   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/FreeBSD2";
  DOC_USE   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/doc";
  PKG_USE   = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/pkg";
  MAN_USE   = "/tmp/a/ports/lang/modula-3-lib/work/installed/man";
  EMACS_USE = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/elisp";
  HTML_USE  = "/tmp/a/ports/lang/modula-3-lib/work/installed/lib/m3/www";

END M3Config.
