(* Copyright (C) 1994, Digital Equipment Corporation *)
(* All rights reserved.                              *)
(* See the file COPYRIGHT for a full description.    *)

(* This interface exports the configuration information
   used by m3build and quake.  These constants were defined
   when Modula-3 was installed. *)

INTERFACE M3ConfigVars;

VAR (* CONST *) (* misc. configuration *)
  TARGET:    TEXT;
  OS_TYPE:   TEXT;
  WORD_SIZE: TEXT;
  BUILD_DIR: TEXT;
  PATH_SEP:  TEXT;
  M3:        TEXT;

VAR (* CONST *) (* installation directories *)
  BIN_INSTALL:   TEXT;
  LIB_INSTALL:   TEXT;
  DOC_INSTALL:   TEXT;
  PKG_INSTALL:   TEXT;
  MAN_INSTALL:   TEXT;
  EMACS_INSTALL: TEXT;
  HTML_INSTALL:  TEXT;

(* On some systems (e.g. AFS) you must install public files
   in a different place from where you use them.  The paths
   below specify where to find the installed files. *)

VAR (* CONST *)
  BIN_USE:   TEXT;
  LIB_USE:   TEXT;
  DOC_USE:   TEXT;
  PKG_USE:   TEXT;
  MAN_USE:   TEXT;
  EMACS_USE: TEXT;
  HTML_USE:  TEXT;

END M3ConfigVars.
